INTERFACE
 SUBROUTINE gpsro_2dop(kdlen,kdbdy,KHORIZ,K_IMXCOUNT,klen,K_IVNMRQ,presf5,&
 & P_TF5,P_QF5,P_GEOPF5,P_ZXPP) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM, ONLY : nflevg
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KDBDY
INTEGER(KIND=JPIM),INTENT(IN) :: KHORIZ
INTEGER(KIND=JPIM),INTENT(IN) :: K_IMXCOUNT
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: K_IVNMRQ(KDLEN,KDBDY)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF5(KDLEN,NFLEVG,KHORIZ)
REAL(KIND=JPRB) ,INTENT(IN) :: P_TF5(KDLEN,0:NFLEVG,KHORIZ)
REAL(KIND=JPRB) ,INTENT(IN) :: P_QF5(KDLEN,0:NFLEVG,KHORIZ)
REAL(KIND=JPRB) ,INTENT(IN) :: P_GEOPF5(KDLEN,NFLEVG,KHORIZ)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_ZXPP(KDLEN,K_IMXCOUNT)
END SUBROUTINE gpsro_2dop
END INTERFACE
